import type { Action, AnyAction } from 'redux';
import type AppRegistry from 'hadron-app-registry';
import type { ThunkAction, ThunkDispatch } from 'redux-thunk';
declare const reducer: import("redux").Reducer<import("redux").CombinedState<{
    isWritable: boolean;
    isReadonlyView: boolean;
    indexView: import("./index-view").IndexView;
    description: any;
    dataService: import("../stores/store").IndexesDataService | null;
    serverVersion: string;
    namespace: string;
    regularIndexes: import("./regular-indexes").State;
    searchIndexes: import("./search-indexes").State;
    fields: import("./fields").Field[];
}>, AnyAction | {
    type: import("./data-service").ActionTypes;
    dataService: import("../stores/store").IndexesDataService;
} | {
    type: string;
    version: string;
}>;
export type SortDirection = 'asc' | 'desc';
export type RootState = ReturnType<typeof reducer>;
export type IndexesExtraArgs = {
    globalAppRegistry?: AppRegistry;
    localAppRegistry?: AppRegistry;
};
export type IndexesThunkDispatch<A extends AnyAction> = ThunkDispatch<RootState, IndexesExtraArgs, A>;
export type IndexesThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, RootState, IndexesExtraArgs, A>;
export default reducer;
//# sourceMappingURL=index.d.ts.map